/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.test;

import java.io.IOException;
import java.io.InputStream;

import junit.framework.TestCase;

import org.eclipse.core.runtime.FileLocator;
import org.eclipse.core.runtime.Path;
import org.eclipse.core.runtime.Plugin;

/**
 * Base class for Eclipse PDE JUnit test cases.
 * 
 * @author heineman
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: DEF06232C9DB0F642FB7E2C3223E5A35
 */
public class EclipseTestCaseBase extends TestCase {

	/**
	 * The name of the test-data folder.
	 */
	protected static final String TEST_DATA_FOLDER_NAME = "test-data";

	/**
	 * Retrieves the test data in the folder named by the package name of the
	 * test case class within the test-data folder of the specified plugin.
	 */
	public InputStream useTestData(String fileName, Plugin testPlugin)
			throws IOException {
		return FileLocator.openStream(testPlugin.getBundle(), new Path(
				"test-data/" + getClass().getPackage().getName() + '/'
						+ fileName), false);
	}
}